For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/v1.0/api/channels/llms.txt. For full documentation content, see https://developer.shipbob.com/v1.0/api/channels/llms-full.txt.

# Get channels

GET https://api.shipbob.com/1.0/channel

Reference: https://developer.shipbob.com/api/channels/get-channels

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-1.0
  version: 1.0.0
paths:
  /1.0/channel:
    get:
      operationId: get-channels
      summary: Get channels
      tags:
        - subpackage_channels
      parameters:
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Channels.ChannelArrayViewModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Channels.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Channels.ChannelViewModel:
      type: object
      properties:
        application_name:
          type:
            - string
            - 'null'
          description: Name of the application that owns the channel
        id:
          type: integer
          description: Unique id of the channel
        name:
          type:
            - string
            - 'null'
          description: Name of the channel
        scopes:
          type:
            - array
            - 'null'
          items:
            type: string
          description: Array of permissions granted for the channel
      title: Channels.ChannelViewModel
    Channels.ChannelArrayViewModel:
      type: array
      items:
        $ref: '#/components/schemas/Channels.ChannelViewModel'
      title: Channels.ChannelArrayViewModel
    Channels.ErrorResponse:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      title: Channels.ErrorResponse
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token
    OAuth2:
      type: http
      scheme: bearer
      description: OAuth2 authentication using JWT tokens

```

## SDK Code Examples

```python Channels_getChannels_example
import requests

url = "https://api.shipbob.com/1.0/channel"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Channels_getChannels_example
const url = 'https://api.shipbob.com/1.0/channel';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Channels_getChannels_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/1.0/channel"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Channels_getChannels_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/1.0/channel")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Channels_getChannels_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.shipbob.com/1.0/channel")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Channels_getChannels_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.shipbob.com/1.0/channel', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Channels_getChannels_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/1.0/channel");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Channels_getChannels_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/1.0/channel")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```